<?php

namespace App\Enums;

enum LocationEnum: int
{
    case NULL = 0;

    case AUSTRALIA = 1;

    case UKRAINE = 2;

    case KIEV = 3;

    case STOCKHOLM = 4;

    case TOKYO = 5;

    case BERLIN = 6;

    case COPENHAGEN = 7;

    case SHANGHAI = 8;

    case SAO_PAULO = 9;

    case TBILISI = 10;

    case MEXICO = 11;

    case SEOUL = 12;

    case RUSSIA = 13;


    case MADRID = 14;
    case SPAIN= 15;

    case ISTANBUL = 16;

    case LAGOS = 17;

    case PARIS = 18;

    public function toString(): string {
        return match($this) {
            LocationEnum::NULL => '',
            LocationEnum::AUSTRALIA => '澳洲',
            LocationEnum::UKRAINE => '乌克兰',
            LocationEnum::KIEV => '基辅',
            LocationEnum::STOCKHOLM => '斯德哥尔摩',
            LocationEnum::TOKYO => '东京',
            LocationEnum::BERLIN => '柏林',
            LocationEnum::COPENHAGEN => '哥本哈根',
            LocationEnum::SHANGHAI => '上海',
            LocationEnum::SAO_PAULO => '圣保罗',
            LocationEnum::TBILISI => '首都',
            LocationEnum::MEXICO => '墨西哥',
            LocationEnum::SEOUL => '首尔',
            LocationEnum::RUSSIA => '俄罗斯',
            LocationEnum::MADRID => '马德里',
            LocationEnum::SPAIN => '西班牙',
            LocationEnum::ISTANBUL => '伊斯坦布尔',
            LocationEnum::LAGOS => '拉各斯',
            LocationEnum::PARIS => '巴黎',
        };
    }

}
